org.eclipse.wst.jsdt.core.search

## Class PackageReferenceMatch

- java.lang.Object
- - org.eclipse.wst.jsdt.core.search.SearchMatch
  - - org.eclipse.wst.jsdt.core.search.PackageReferenceMatch

    public class PackageReferenceMatch
    extends SearchMatch

A JavaScript search match that represents a package reference. The element is the inner-most enclosing member that references this package.

This class is intended to be instantiated and subclassed by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

### Fields inherited from class org.eclipse.wst.jsdt.core.search.SearchMatch

`A_ACCURATE, A_INACCURATE`

### Constructor Summary

Constructors
Constructor and Description
`PackageReferenceMatch(IJavaScriptElement enclosingElement, int accuracy, int offset, int length, boolean insideDocComment, SearchParticipant participant, IResource resource)` Creates a new package reference match.

### Method Summary

### Methods inherited from class org.eclipse.wst.jsdt.core.search.SearchMatch

`getAccuracy, getElement, getLength, getOffset, getParticipant, getResource, getRule, isEquivalent, isErasure, isExact, isImplicit, isInsideDocComment, isRaw, setAccuracy, setElement, setImplicit, setInsideDocComment, setLength, setOffset, setParticipant, setRaw, setResource, setRule, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PackageReferenceMatch

    public PackageReferenceMatch(IJavaScriptElement enclosingElement,
                                 int accuracy,
                                 int offset,
                                 int length,
                                 boolean insideDocComment,
                                 SearchParticipant participant,
                                 IResource resource)

Creates a new package reference match.

Parameters:
  `enclosingElement` - the inner-most enclosing member that references this package
  `accuracy` - one of `SearchMatch.A_ACCURATE` or `SearchMatch.A_INACCURATE`
  `offset` - the offset the match starts at, or -1 if unknown
  `length` - the length of the match, or -1 if unknown
  `insideDocComment` - `true` if this search match is inside a doc comment, and `false` otherwise
  `participant` - the search participant that created the match
  `resource` - the resource of the element